commit:     72aac5e95c2050fc433d9a1be274dfaf2bd61422
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 25 03:08:19 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 25 03:08:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72aac5e9

virtual/rust: add 1.79.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 virtual/rust/rust-1.79.0.ebuild | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/virtual/rust/rust-1.79.0.ebuild b/virtual/rust/rust-1.79.0.ebuild
new file mode 100644
index 000000000000..89d91522025f
--- /dev/null
+++ b/virtual/rust/rust-1.79.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for Rust language compiler"
+
+LICENSE=""
+
+# adjust when rust upstream bumps internal llvm
+# we do not allow multiple llvm versions in dev-lang/rust for
+# neither system nor bundled, so we just hardcode it here.
+SLOT="0/llvm-18"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="rustfmt profiler"
+
+BDEPEND=""
+RDEPEND="|| (
+       ~dev-lang/rust-bin-${PV}[profiler?,rustfmt?,${MULTILIB_USEDEP}]
+       ~dev-lang/rust-${PV}[profiler?,rustfmt?,${MULTILIB_USEDEP}]
+)"

Reply via email to